Package org.jboss.resteasy.plugins.providers.jaxb

## Interface JAXBContextFinder

- All Known Implementing Classes:
    `AbstractJAXBContextFinder`, `FastinfoSetJAXBContextFinder`, `XmlJAXBContextFinder`

      public interface JAXBContextFinder

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JAXBContext` | `createContext​(Annotation[] parameterAnnotations, Class... classes)` |
    `JAXBContext` | `findCacheContext​(javax.ws.rs.core.MediaType mediaType, Annotation[] paraAnnotations, Class... classes)` | This method creates a JAXBContext from a collection of classes.
    `JAXBContext` | `findCachedContext​(Class type, javax.ws.rs.core.MediaType mediaType, Annotation[] parameterAnnotations)` | This method with find a JAXBContext for one type.
    `JAXBContext` | `findCacheXmlTypeContext​(javax.ws.rs.core.MediaType mediaType, Annotation[] paraAnnotations, Class... classes)` | This method will find a JAXBContext from a set of XmlTypes that use an ObjectFactory for creation (i.e.

- - ### Method Detail

    - #### findCachedContext

          JAXBContext findCachedContext​(Class type,
                                        javax.ws.rs.core.MediaType mediaType,
                                        Annotation[] parameterAnnotations)
                                 throws JAXBException

      This method with find a JAXBContext for one type. The user can override the cache by defining a ContextResolver<JAXBContext> for the given media type.
      Parameters:
        `type` - type
        `mediaType` - media type
        `parameterAnnotations` - annotations
      Returns:
        `JAXBContext`
      Throws:
        `JAXBException` - jaxb exception

    - #### findCacheContext

          JAXBContext findCacheContext​(javax.ws.rs.core.MediaType mediaType,
                                       Annotation[] paraAnnotations,
                                       Class... classes)
                                throws JAXBException

      This method creates a JAXBContext from a collection of classes. Unlike the other findCachedContext() method, the user cannot override the JAXBContext created.
      Parameters:
        `mediaType` - media type
        `paraAnnotations` - annotations
        `classes` - classes
      Returns:
        `JAXBContext`
      Throws:
        `JAXBException` - jaxb exception

    - #### findCacheXmlTypeContext

          JAXBContext findCacheXmlTypeContext​(javax.ws.rs.core.MediaType mediaType,
                                              Annotation[] paraAnnotations,
                                              Class... classes)
                                       throws JAXBException

      This method will find a JAXBContext from a set of XmlTypes that use an ObjectFactory for creation (i.e. from xjc).
      Parameters:
        `mediaType` - media type
        `paraAnnotations` - annotations
        `classes` - classes
      Returns:
        `JAXBContext`
      Throws:
        `JAXBException` - jaxb exception

    - #### createContext

          JAXBContext createContext​(Annotation[] parameterAnnotations,
                                    Class... classes)
                             throws JAXBException

      Throws:
        `JAXBException`